[Deprecated]: V4.0

put

/ec-designer-svc/rest/v4.0/studies/{studyId}/versions/{version}/dispensings

Deprecated: Use latest version instead. Updates list of dispensation visits in a study version to create new visits, update existing ones or delete deprecated visits.

Request

Path Parameters
Query Parameters
  • Visit ID where randomization was assigned (UUID, 32-character uppercase hexadecimal string). Optional.
    Default Value: empty
    Example:
    9F4A6C7E1B8F4D56A23C9F3A0C7D4E77
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Show Source
Nested Schema : ArmKitVisitDto v4.0
Type: object
Title: ArmKitVisitDto v4.0
Visit kit dispensation per treatment arm.
Show Source
Nested Schema : titrationKits
Type: array
Show Source
Nested Schema : ArmKitVisitTitrationDto v3.0
Type: object
Title: ArmKitVisitTitrationDto v3.0
Kit dispensations for a titration group.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : RespArmKitVisitDto v4.0
Type: object
Title: RespArmKitVisitDto v4.0
Error parameters list.
Show Source
Nested Schema : errorParamList
Type: array
Show Source
Nested Schema : titrationKits
Type: array
Show Source
Nested Schema : RespErrParamListDto v1.0
Type: object
Title: RespErrParamListDto v1.0
Error parameters list.
Show Source
Nested Schema : ErrorParam
Type: array
Show Source
Nested Schema : ErrorParam
Type: object
Title: ErrorParam
Error parameter
Show Source
Nested Schema : ArmKitVisitTitrationDto v3.0
Type: object
Title: ArmKitVisitTitrationDto v3.0
Kit dispensations for a titration group.
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top